# Xircuits Component Library List


## Internal Library

These components will always be included in the Xircuits installation.

<div align="center">

| Name     | Description                                                                                    |                                                                                                                                                            |
| -------- | ---------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Tensorflow Keras | Deep learning related components using Tensorflow Keras.                                       | [Link](https://github.com/XpressAI/xircuits/tree/master/xai_components/xai_tensorflow_keras) |
| Pytorch  | Components that use Pytorch's ML library.                                                      | [Link](https://github.com/XpressAI/xircuits/tree/master/xai_components/xai_pytorch)   |
| Spark    | Components built using the Pyspark library. Run these components with the Xircuits Remote Run! | [Link](https://github.com/XpressAI/xircuits/tree/master/xai_components/xai_spark)       |
| Template | Great components for new learners and to experiment outputs.                                   | [Link](https://github.com/XpressAI/xircuits/tree/master/xai_components/xai_template) |
| Utils    | Commonly used components for day-to-day workflows.                                             | [Link](https://github.com/XpressAI/xircuits/tree/master/xai_components/xai_utils)       |
| Controlflow | Components to enable ifs and loops. | [Link](https://github.com/XpressAI/xircuits/tree/master/xai_components/xai_controlflow) |

</div>


## External Library

Recognized additional component libraries that you can download and install using:

```
$ xircuits-submodules xai_componentLibName
```

<div align="center">

| Name                                                                                                                                                                                                       | Version |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------- |
| <b>[Pycaret](https://github.com/XpressAI/xai-pycaret)</b><br>A component library built using Pycaret's API! Complete with examples for NLP, anomaly detection, classification, clustering, as well as regression. | 0.1.0 |
| <b>[RPA](https://github.com/yuenherny/xai-rpa)</b><br>Robotic process automation library to automate routine and repetitive tasks! | 0.2.1 |
| <b>[Streamlit](https://github.com/XpressAI/xai-streamlit)</b><br>Turn Xircuits workflows into shareable web apps in minutes. | 0.1.0 |
| <b>[RabbitMQ](https://github.com/XpressAI/xai-rabbitmq)</b><br>Message broker in Xircuits that just works. | 0.1.0 |
| <b>[MQTT](https://github.com/XpressAI/xai-mqtt)</b><br>Xircuits library that implments the standard for IoT Messaging. | 0.1.0 |
| <b>[Vecto](https://github.com/XpressAI/xai-vecto)</b><br>The power of vector embeddings in Xircuits. | 0.1.0 |
| <b>[OpenAI](https://github.com/XpressAI/xai-openai)</b><br>Easily integrate OpenAI's functionalities, such as retrieving models and generating text, into your Xircuits projects! | 0.1.0 |
| <b>[GPT Agent Toolkit](https://github.com/XpressAI/xai-gpt-agent-toolkit)</b><br>Experiment with and create Collaborative Large Language Model-based automatons (Agents) in the style of BabyAGI and Auto-GPT. | 0.1.0 |
| <b>[Slack](https://github.com/XpressAI/xai-slack)</b><br>Xircuits Component Library to interface with Slack! | 0.1.0 |
| <b>[Discord](https://github.com/XpressAI/xai-discord)</b><br>Create Discord Bots in seconds. | 0.1.0 |
| <b>Modelstash</b><br>Coming Soon... |

</div>

Want your component library listed here? Just submit a PR to the Xircuits repository. For more information, refer to the [Xircuits component library documentation](https://xircuits.io/docs/component-library/).